ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stephane Bailliez <stephane.baill...@haht.com>
Subject RE: JUnitReport and Xalan problems
Date Thu, 21 Feb 2002 15:11:56 GMT
> -----Original Message-----
> From: Shacklady, Matt [mailto:ShackladyM@logica.com]
> 
> Thanks for the tip,
> I looked at comments from the article I got the info on 
> JUnitReport from and
> someone else reported the same problem.
> Someone replied saying that the class was deprecated in Xalan 
> 2.x, and so
> can no longer be used, but did not provide any solution.

You normally don't need this class at all it uses it as a last chance for
backward compatibility. It checks first for Xalan 2.x if not available it
fallback to Xalan 1.x which is deprecated and is not shipped anymore in
Xalan 2.2. I find the error message a bit strange and wonder if you really
have the optional.jar from Ant 1.4 since I expect to see a message like:

"Could not find xalan2 nor xalan1 in the classpath. Check
http://xml.apache.org/xalan-j"

> Is anyone actually using JUnitReport task?

Yes, a lot of people, myself included. :o)

Please make sure that you really have the Ant 1.4 optional jar
http://jakarta.apache.org/builds/jakarta-ant/release/v1.4.1/bin/

Stephane

--
To unsubscribe, e-mail:   <mailto:ant-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-user-help@jakarta.apache.org>


Mime
View raw message